summaryrefslogtreecommitdiffstats
path: root/tools/debian-build-cron.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/debian-build-cron.sh')
-rw-r--r--tools/debian-build-cron.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/tools/debian-build-cron.sh b/tools/debian-build-cron.sh
index e69de29bb..055f5b547 100644
--- a/tools/debian-build-cron.sh
+++ b/tools/debian-build-cron.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+if /root/bin/rsync-debian-repo ; then
+ mv /cluster/bcfg/images/debian-3.0/pkglist.xml /cluster/bcfg/images/debian-3.0/pkglist.xml.old;
+ if /root/bin/create-debian-pkglist.pl ; then
+ /etc/init.d/bcfgd restart
+ else
+ mv /cluster/bcfg/images/debian-3.0/pkglist.xml.old /cluster/bcfg/images/debian-3.0/pkglist.xml;
+ echo "there was a problem with creating the new pkglist.xml";
+ exit 1;
+ fi
+else
+ echo "repo not synced and bcfg not updates";
+ exit 1;
+fi
+exit 0;